package com.ho.user.service;


import com.ho.user.vo.req.RolePermissionOperationReqVO;

import java.util.List;

/**
 * @ClassName: RolePermissionService
 * TODO:类文件简单描述
 * @Author:
 * @CreateDate: 2019/9/19 11:39
 * @UpdateUser:
 * @UpdateDate: 2019/9/19 11:39
 * @Version: 0.0.1
 */
public interface RolePermissionService {

    int removeByRoleId(Integer roleId);

    List<Integer> getPermissionIdsByRoles(List<Integer> roleIds);

    void addRolePermission(RolePermissionOperationReqVO vo);

    void addRolePermissions(RolePermissionOperationReqVO vo);

    int removeByPermissionId(Integer permissionId);

    List<Integer> getRoleIds(Integer permissionId);

    List<Integer> getPermissionIdsByRoleId(Integer roleId);


    int deleteRolePermissions(RolePermissionOperationReqVO reqVO);
}
